Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Class JRAbstractSvgRenderer

    java.lang.Object
      net.sf.jasperreports.engine.JRAbstractRenderer
          net.sf.jasperreports.engine.JRAbstractSvgRenderer

All Implemented Interfaces:
  java.io.Serializable, JRRenderable

Direct Known Subclasses:
  BarbecueRenderer, BatikRenderer, DrawChartRenderer, JCommonDrawableRenderer, JFreeChartRenderer, JRWrappingSvgRenderer, UnusedSpaceImageRenderer

    public abstract class JRAbstractSvgRenderer

extends JRAbstractRenderer

Version:
  $Id: JRAbstractSvgRenderer.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRRenderable
`IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

Constructor Summary
`JRAbstractSvgRenderer()`

Method Summary
`protected java.awt.Graphics2D` | `createGraphics(java.awt.image.BufferedImage bi)`
`java.awt.Color` | `getBackcolor()`
`java.awt.geom.Dimension2D` | `getDimension()`
`byte[]` | `getImageData()`
`byte` | `getImageType()`
`byte` | `getType()`

Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer
`getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRRenderable
`render`

Constructor Detail

### JRAbstractSvgRenderer

    public JRAbstractSvgRenderer()

Method Detail

### getType

    public byte getType()

### getImageType

    public byte getImageType()

### getDimension

    public java.awt.geom.Dimension2D getDimension()

### getBackcolor

    public java.awt.Color getBackcolor()

### getImageData

    public byte[] getImageData()
                        throws JRException

  Throws:
    `JRException`

### createGraphics

    protected java.awt.Graphics2D createGraphics(java.awt.image.BufferedImage bi)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com